--
-- SortedShop V1.0.0.0
--
-- @author unassigned
-- @date 01/02/2021
--
-- Copyright (C) unassigned
-- 

SortedShop = {}
SortedShop.MOD_NAME = g_currentModName
SortedShop.BASE_DIRECTORY = g_currentModDirectory

local modDescXML = loadXMLFile("modDesc", SortedShop.BASE_DIRECTORY .. "modDesc.xml")
SortedShop.TITLE = getXMLString(modDescXML, "modDesc.title.en")
SortedShop.AUTHOR = getXMLString(modDescXML, "modDesc.author")
SortedShop.VERSION = getXMLString(modDescXML, "modDesc.version")
delete(modDescXML) -- free allocated memory

function SortedShop:loadMap(name)
    print("- - - - - - - - -")
    print(self.MOD_NAME .. " " .. self.VERSION .. " loaded")
    print("- - - - - - - - -")

    if g_storeManager == nil then
        print("Store manager (g_storeManager) is unavable, aborting!")
        return
    end

    local storeItems = g_storeManager:getItems();
    if storeItems == nil then
        print("There are no store items (g_storeManager:getItems()), aborting!")
        return
    end

    table.sort(storeItems, function (left, right)
        return left.price < right.price
    end)

    for index, item in pairs(storeItems) do
        item.id = index
    end
end;

addModEventListener(SortedShop);